Description

Currently it's not possible to change the MTU value of a subnet, and all network interfaces are configured with the default MTU value

without possibility to override it easily.

It would be nice to add an MTU field to subnet and use this value to configure the MTU of network interfaces in this subnet at

provisioning time.

Related issues:

Related to Hammer CLI - Bug #23401: Subnet command does not display MTU

Closed

Associated revisions

Revision f175f751 - 04/04/2018 02:20 PM - Baptiste Agasse
fixes #21694 - Add MTU to subnet

Revision 92c17a1a - 04/04/2018 02:20 PM - Baptiste Agasse
fixes #21694 - Add MTU to subnet and interface API

Revision 6b65706a - 04/04/2018 02:20 PM - Baptiste Agasse
fixes #21694 - Add consistency validation for MTU and VLAN

Revision d313cc81 - 04/08/2018 06:49 PM - Baptiste Agasse
fixes #21694 - Add MTU support for kickstart installations

History

#1 - 11/20/2017 10:08 AM - Marek Hulan

- Tracker changed from Bug to Feature

#2 - 11/20/2017 01:29 PM - Ohad Levy

how about using a parameter?

#3 - 11/20/2017 01:58 PM - Baptiste Agasse

We workaround the lack of MTU in subnet like this at this time. But we have some hosts with multiple interfaces with different MTUs (eg: admin iface
with default MTU=1500, Storage ifces with MTU=9000,and sometimes ifaces with MTU=1496) and these cases not easy to handle.
If we add the MTU directly in the subnet, we can provision hosts, linked to multiple subnets and all interfaces of theses hosts will take the right MTU

for all ifaces.
How | was thinking about it is:

e Adding optional 'mtu’ field to subnets

e Modify provisioning templates to add MTU support and be backward compatible with foreman versions that don't support mtu in subnets (try if
subnet respond to 'mtu’. If it's the case and the value is not blank, set the provided MTU, else don't touch anything).

05/22/2024

1/2




Any pointers/advises are welcome.

#4 - 11/21/2017 09:52 AM - Marek Hulan

| think you can achieve the same with subnet parameters today but | agree that built-in support would be nice. Do you plan to work on the patch? Also
the template does not have to be backwards compatible | think, we update all shipped template with every seed and we lock them. Since templates
are now version (branch per release in community-repo) we can simply rely on the feature being present.

#5 - 11/21/2017 12:46 PM - Baptiste Agasse

Patches for foreman and templates are ready, | just wanted some feedback on this before pushing.

#6 - 11/21/2017 12:54 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Baptiste Agasse

- Pull request https://github.com/theforeman/foreman/pull/5017 added

#7 - 11/21/2017 12:57 PM - Marek Hulan

Obviously | can't speak for others but you have my thumb :-)

#8 - 11/21/2017 04:28 PM - The Foreman Bot
- Pull request https://github.com/theforeman/community-templates/pull/442 added

#9 - 04/04/2018 02:21 PM - Timo Goebel

- translation missing: en.field_release set to 330

#10 - 04/04/2018 03:02 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 175{7510d9e334c468ecfdcfc69c7a8485f21a1.

#11 - 04/26/2018 11:35 AM - Marek Hulan
- Related to Bug #23401: Subnet command does not display MTU added
